Source: jupyter-notebook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/jupyter/notebook
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pkg-js-tools,
               python3-all,
               python3-setuptools,
               python3-argon2,
               python3-requests <!nocheck>,
               python3-requests-unixsocket <!nocheck>,
               python3-ipython <!nocheck>,
               python3-jupyter-core (>= 4.6.1) <!nocheck>,
               python3-jupyter-client (>= 5.3.4) <!nocheck>,
               python3-tornado (>= 6.1) <!nocheck>,
               python3-nbformat (>= 4.4) <!nocheck>,
               python3-nbconvert (>= 5) <!nocheck>,
               python3-nest-asyncio (>= 1.5) <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-prometheus-client <!nocheck>,
               python3-pytest <!nocheck>,
               python3-terminado (>= 0.8.3) <!nocheck>,
               python3-entrypoints <!nocheck>,
               python3-send2trash (>= 1.8) <!nocheck>,
               python3-zmq <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-nbsphinx <!nodoc>,
               libjs-backbone (>= 1.2),
               libjs-bootstrap (>= 3.3),
               libjs-bootstrap-tour (>= 0.9),
               libjs-codemirror (>= 5.56),
               libjs-es6-promise (>= 1.0),
               fonts-font-awesome (>= 4.2),
               libjs-jed (>= 1.1.1),
               libjs-jquery (>= 3.5),
               libjs-jquery-ui (>= 1.12),
               libjs-marked (>= 4.0.9~),
               libjs-mathjax (>= 2.5),
               libjs-moment (>= 2.8.4),
               libjs-requirejs (>= 2.1),
               libjs-requirejs-text,
               libjs-text-encoding (>= 0.1),
               libjs-underscore (>= 1.5),
               libjs-jquery-typeahead (>= 2.0),
               libjs-xterm (>= 3.8.1-3~),
               nodejs,
               node-less (>= 1.5),
               node-source-map,
               node-requirejs (>= 2.3),
               node-react (>= 16.13),
               node-po2json (>= 0.4.5-2~),
               node-fbjs,
               node-loose-envify,
               node-object-assign,
               node-htmlparser2,
               node-deepmerge,
               node-escape-string-regexp,
               node-is-plain-object,
               node-postcss,
               node-lumino,
               node-typescript,
               node-babel-loader,
               webpack,
               pandoc
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-terminado (>= 0.8.3),
         libjs-backbone (>= 1.2),
         libjs-bootstrap (>= 3.3),
         libjs-bootstrap-tour (>= 0.9),
         libjs-codemirror (>= 5.56),
         libjs-es6-promise (>= 1.0),
         fonts-font-awesome (>= 4.2),
         libjs-jed (>= 1.1.1),
         libjs-jquery (>= 3.5),
         libjs-jquery-ui (>= 1.12),
         libjs-marked (>= 4.0.9~),
         libjs-mathjax (>= 2.5),
         libjs-moment (>= 2.8.4),
         libjs-requirejs (>= 2.1),
         libjs-requirejs-text,
         libjs-text-encoding (>= 0.1),
         libjs-underscore (>= 1.5),
         libjs-jquery-typeahead (>= 2.0),
         libjs-xterm (>= 3.8.1-3~),
Recommends: python3-ipywidgets,
            python3-ipykernel
Suggests: python-notebook-doc
Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.

Package: jupyter-notebook
Architecture: all
Section: science
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-notebook (= ${binary:Version}),
         jupyter-core
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package provides the jupyter subcommands "notebook", "nbextension",
 "serverextension" and "bundlerextension".
